#ifndef __CString_cpp
#define __CString_cpp

MfcString::MfcString ()
{
	FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_MfcString(this);
}

MfcString::MfcString (LPCSTR lpsz)
{
	FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_MfcString(this, lpsz);
}

int MfcString::GetLength() const
{
	return FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_GetLength(this);
}

void MfcString::Empty()
{
	FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_Empty(this);
}

MfcString::operator LPCTSTR() const
{
	return FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_lpctstr(this);
}

const MfcString& MfcString::operator=(LPCSTR lpsz)
{
	return FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->_Eq(this, lpsz);
}

MfcString::~MfcString()
{
	FMpgGetModule()->GetMolipBaseI()->GetMfcClassI()->MfcStringI()->__MfcString(this);
}

#endif//__CString_cpp
